# Plugins

Plugin integration endpoints

## Handle Plugin REST Response

> Receives and processes plugin REST responses

```json
{"openapi":"3.0.3","info":{"title":"Ango Hub API v2","version":"2.0.0"},"tags":[{"name":"Plugins","description":"Plugin integration endpoints"}],"servers":[{"url":"https://imeritapi.ango.ai/v2","description":"EU Production Server"},{"url":"https://us-api.ango.ai/v2","description":"US Production Server"},{"url":"https://in-api.ango.ai/v2","description":"India Production Server"},{"url":"https://testapi.ango.ai/v2","description":"Test Server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"apikey","description":"API key for authentication. Format - apikey YOUR_API_KEY"}},"schemas":{"PluginResponseRequest":{"type":"object","required":["pluginId","taskId","response","status"],"properties":{"pluginId":{"type":"string"},"taskId":{"type":"string"},"response":{"type":"object"},"status":{"type":"string"}}},"PluginResponseAck":{"type":"object","properties":{"status":{"type":"string"},"data":{"type":"object","properties":{"response":{"type":"object","properties":{"received":{"type":"boolean"},"taskId":{"type":"string"}}}}}}}}},"paths":{"/pluginResponse":{"post":{"tags":["Plugins"],"summary":"Handle Plugin REST Response","description":"Receives and processes plugin REST responses","operationId":"handlePluginResponse","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginResponseRequest"}}}},"responses":{"200":{"description":"Plugin response received successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginResponseAck"}}}}}}}}}
```

## Handle Plugin REST Log

> Receives and processes plugin log messages

```json
{"openapi":"3.0.3","info":{"title":"Ango Hub API v2","version":"2.0.0"},"tags":[{"name":"Plugins","description":"Plugin integration endpoints"}],"servers":[{"url":"https://imeritapi.ango.ai/v2","description":"EU Production Server"},{"url":"https://us-api.ango.ai/v2","description":"US Production Server"},{"url":"https://in-api.ango.ai/v2","description":"India Production Server"},{"url":"https://testapi.ango.ai/v2","description":"Test Server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"apikey","description":"API key for authentication. Format - apikey YOUR_API_KEY"}},"schemas":{"PluginLogRequest":{"type":"object","required":["pluginId","level","message"],"properties":{"pluginId":{"type":"string"},"taskId":{"type":"string"},"level":{"type":"string","enum":["info","warn","error"]},"message":{"type":"string"},"metadata":{"type":"object"}}},"PluginLogAck":{"type":"object","properties":{"status":{"type":"string"},"data":{"type":"object","properties":{"response":{"type":"object","properties":{"logged":{"type":"boolean"}}}}}}}}},"paths":{"/pluginLog":{"post":{"tags":["Plugins"],"summary":"Handle Plugin REST Log","description":"Receives and processes plugin log messages","operationId":"handlePluginLog","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginLogRequest"}}}},"responses":{"200":{"description":"Plugin log received successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PluginLogAck"}}}}}}}}}
```
